Name:           perl-Search-Xapian
Version:        1.2.18.0
Release:        2%{?dist}
Summary:        Xapian perl bindings
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/Search-Xapian/
Source0:        http://www.cpan.org/authors/id/O/OL/OLLY/Search-Xapian-%{version}.tar.gz

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  xapian-core-devel
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module wraps most methods of most Xapian classes. The missing classes
and methods should be added in the future. It also provides a simplified,
more 'perlish' interface to some common operations, as demonstrated above.


%prep
%setup -q -n Search-Xapian-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
# the pod coverage tests fail
TEST_POD=1 make test


%files
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/man3/*.3*


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 29 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.2.18.0-1
- Update to 1.2.18.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Feb 16 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.2.17.0-1
- Update to 1.2.17.0

* Sun Dec 15 2013 Emmanuel Seyman <emmanuel@seyman.fr> - 1.2.16.0-1
- Update to 1.2.16.0
- Fix incorrect dates in changelog

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 19 2013 Petr Pisar <ppisar@redhat.com> - 1.2.15.0-2
- Perl 5.18 rebuild

* Sun Apr 21 2013 Emmanuel Seyman <emmanuel@seyman.fr> - 1.2.15.0-1
- Update to 1.2.15.0

* Sun Mar 17 2013 Emmanuel Seyman <emmanuel@seyman.fr> - 1.2.14.0-1
- Update to 1.2.14.0

* Tue Jan 29 2013 Emmanuel Seyman <emmanuel@seyman.fr> - 1.2.10.0-1
- Update to 1.2.10.0
- Add perl default filter
- Clean up URL and Source0
- Remove no-longer-used macros

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 07 2012 Petr Pisar <ppisar@redhat.com> - 1.0.20.0-8
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.0.20.0-6
- Perl mass rebuild

* Thu Jun 09 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.0.20.0-5
- Perl 5.14 mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.0.20.0-3
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.0.20.0-2
- Mass rebuild with perl-5.12.0

* Mon May 03 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 1.0.20-1
- Updated to latest 1.0.20

* Wed Jan 13 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 1.0.17-1
- Updated to latest 1.0.17

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.0.15.0-2
- rebuild against perl 5.10.1

* Sun Sep 13 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.15.0-1
- Updated to 1.0.15 to match xapian-core new updates

* Sun Aug 23 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.11.0-5
- Cleaned %%files section and fixed version in changelog

* Wed Aug 12 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.11.0-4
- Fixed license issue

* Wed Aug 12 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.11.0-3
- Fixed version tag

* Tue Aug 11 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.11.0-2
- Updated the license

* Tue Aug 11 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.11.0-1
- Initial version
